Subject: Re: [Sipping] Re: I-D ACTION:draft-bryan-sipping-midi-01.txt

From: Cullen Jennings <[email-masked]>
Date: Thu, 12 Jul 2007 18:48:34 -0700

A few people wanted to discuss some part of this draft and did not  
want it to be in the dead state - I said, sure, I will will  
resurrect. I have not asked for any agenda time on this - if someone  
wants to do something with it, it is here, I don't plan to put much  
time into it.

My primary motivation for the draft is the XML that specifies the  
variations in tones that are needed. It highlights the fact that a  
simple model that specified a handful or two of parameters could  
generate all the tones described here.

On Jun 17, 2007, at 4:51 AM, Eric Burger wrote:

> Could we get the double-super-secret motivation for resubmitting  
> the draft?
>
> Is it for the originally stated purpose, to render standard ring- 
> tones via
> specification as MIDI files (because 3GPP supports MIDI?)?  If so,  
> there are
> probably better ways of doing this than in MIDI.   Most of the  
> draft is (I
> think, incorrect) ways to hack MIDI to generate tones that are  
> almost the
> real tones.
>
> Is it to support custom ring-tones?  If so, I could really get on  
> board.
>
> I am not going to spend cycles on the draft unless I know what the
> motivations are.  Knowing the motivations will dramatically alter the
> direction I think the draft should go.
>
> I do have an opinion on specifying the something in the INVITE  
> instead of as
> early media.  Early media is bad and evil and hard and very easy to  
> have
> weird stuff happen.  That should be enough, but for those who count  
> every
> byte, transporting a small set of MIDI events over RTP instead of  
> sending a
> Standard MIDI File means one has to pay the RTP and packet tax.   
> Thus, I
> have no problem suggesting that one should NOT use RTP and early  
> media for
> such purposes.
>
> I would also draw folks attention to:
> draft-kosonen-sp-midi-mediatype
>
>
> On 6/15/07 4:27 PM, "Cullen Jennings" <[email-masked]> wrote:
>
>>
>> On Jun 8, 2007, at 7:27 AM, Colin Perkins wrote:
>>
>>> On 4 Jun 2007, at 20:50, [email-masked] wrote:
>>>> A New Internet-Draft is available from the on-line Internet-Drafts
>>>> directories.
>>>>
>>>>
>>>> Title  : Telephony Tones Using MIDI in SIP
>>>> Author(s) : C. Jennings, D. Bryan
>>>> Filename : draft-bryan-sipping-midi-01.txt
>>>> Pages  : 68
>>>> Date  : 2007-6-4
>>>>
>>>> This document describes conventions for using MIDI to generate  
>>>> tones
>>>>    on SIP UAs.  This does not define any changes to SIP but  
>>>> describes
>>>>    how to use the existing Alert-Info header to play tones that
>>>> can be
>>>>    used to indicate specialized PSTN tones such as the ringback  
>>>> tones
>>>>    from various countries.  The tones are described using MIDI  
>>>> which
>>>>    results in a compact representation that is simple for a UA to
>>>>    generate and easy to render into audio.
>>>>
>>>>    This work is being discussed on the [email-masked] mailing  
>>>> list.
>>>>    This draft was revived at request of a few people so it could be
>>>>    discussed.  Parts of it need to be updated since it was  
>>>> written in
>>>>    2003.
>>>>
>>>> A URL for this Internet-Draft is:
>>>> http://www.ietf.org/internet-drafts/draft-bryan-sipping-midi-01.txt
>>>
>>> Interesting draft. A couple of comments:
>>
>> Interesting is fair :-) David and I just resubmitted this based on a
>> request of a few people want to have a current version to talk about.
>>
>>>
>>> How would this compare to sending audio/tone [RFC 4733 section
>>> 4.3.3] data in SIP? (I realise the audio/tone format is currently
>>> only defined for transport via RTP, but it could easily be extended
>>> for this use, and is simpler than MIDI).
>>
>> Uh, this is likely larger, and far more complicated to implement for
>> the receiver. I like the idea of using tones.
>>
>>>
>>> Also, one could presumably achieve a similar effect using early
>>> media with either the RFC 4733 or RFC 4695 RTP payload formats.
>>> Some discussion of the trade-off between the approaches would be
>>> valuable.
>>
>> If we did go forward with something based on midi, it would need to
>> be brought inline with 4695 but totally agree with you, the pro' s
>> and con's of doing this in SIP signaling vs. what we have now where
>> it is done in RTP with early media would need to be discussed.
>> Including the interaction with HERFP.
>>
>>>
>>> -- 
>>> Colin Perkins
>>> http://csperkins.org/
>>
>>
>> _______________________________________________
>> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
>> This list is for NEW development of the application of SIP
>> Use [email-masked] for questions on current sip
>> Use [email-masked] for new developments of core SIP
>
>
> Notice:  This email message, together with any attachments, may  
> contain information  of  BEA Systems,  Inc.,  its subsidiaries   
> and  affiliated entities,  that may be confidential,  proprietary,   
> copyrighted  and/or legally privileged, and is intended solely for  
> the use of the individual or entity named in this message. If you  
> are not the intended recipient, and have received this message in  
> error, please immediately return this by email and then delete it.

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP